Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.bsh
Interface ParserConstants

All Known Implementing Classes:
  Parser, ParserTokenManager, Primitive

    public interface ParserConstants

Field Summary
`static int` | `_DEFAULT`
`static int` | `ABSTRACT`
`static int` | `ANDASSIGN`
`static int` | `ANDASSIGNX`
`static int` | `ASSIGN`
`static int` | `BANG`
`static int` | `BIT_AND`
`static int` | `BIT_ANDX`
`static int` | `BIT_OR`
`static int` | `BIT_ORX`
`static int` | `BOOL_AND`
`static int` | `BOOL_ANDX`
`static int` | `BOOL_OR`
`static int` | `BOOL_ORX`
`static int` | `BOOLEAN`
`static int` | `BREAK`
`static int` | `BYTE`
`static int` | `CASE`
`static int` | `CATCH`
`static int` | `CHAR`
`static int` | `CHARACTER_LITERAL`
`static int` | `CLASS`
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `CONST`
`static int` | `CONTINUE`
`static int` | `DECIMAL_LITERAL`
`static int` | `DECR`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DO`
`static int` | `DOT`
`static int` | `DOUBLE`
`static int` | `ELSE`
`static int` | `ENUM`
`static int` | `EOF`
`static int` | `EQ`
`static int` | `EXPONENT`
`static int` | `EXTENDS`
`static int` | `FALSE`
`static int` | `FINAL`
`static int` | `FINALLY`
`static int` | `FLOAT`
`static int` | `FLOATING_POINT_LITERAL`
`static int` | `FOR`
`static int` | `FORMAL_COMMENT`
`static int` | `GE`
`static int` | `GEX`
`static int` | `GOTO`
`static int` | `GT`
`static int` | `GTX`
`static int` | `HASH_BANG_COMMENT`
`static int` | `HEX_LITERAL`
`static int` | `HOOK`
`static int` | `IDENTIFIER`
`static int` | `IF`
`static int` | `IMPLEMENTS`
`static int` | `IMPORT`
`static int` | `INCR`
`static int` | `INSTANCEOF`
`static int` | `INT`
`static int` | `INTEGER_LITERAL`
`static int` | `INTERFACE`
`static int` | `LBRACE`
`static int` | `LBRACKET`
`static int` | `LE`
`static int` | `LETTER`
`static int` | `LEX`
`static int` | `LONG`
`static int` | `LPAREN`
`static int` | `LSHIFT`
`static int` | `LSHIFTASSIGN`
`static int` | `LSHIFTASSIGNX`
`static int` | `LSHIFTX`
`static int` | `LT`
`static int` | `LTX`
`static int` | `MINUS`
`static int` | `MINUSASSIGN`
`static int` | `MOD`
`static int` | `MODASSIGN`
`static int` | `MULTI_LINE_COMMENT`
`static int` | `NATIVE`
`static int` | `NE`
`static int` | `NEW`
`static int` | `NONPRINTABLE`
`static int` | `NULL`
`static int` | `OCTAL_LITERAL`
`static int` | `ORASSIGN`
`static int` | `ORASSIGNX`
`static int` | `PACKAGE`
`static int` | `PLUS`
`static int` | `PLUSASSIGN`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `RBRACE`
`static int` | `RBRACKET`
`static int` | `RETURN`
`static int` | `RPAREN`
`static int` | `RSIGNEDSHIFT`
`static int` | `RSIGNEDSHIFTASSIGN`
`static int` | `RSIGNEDSHIFTASSIGNX`
`static int` | `RSIGNEDSHIFTX`
`static int` | `RUNSIGNEDSHIFT`
`static int` | `RUNSIGNEDSHIFTASSIGN`
`static int` | `RUNSIGNEDSHIFTASSIGNX`
`static int` | `RUNSIGNEDSHIFTX`
`static int` | `SEMICOLON`
`static int` | `SHORT`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `SLASH`
`static int` | `SLASHASSIGN`
`static int` | `STAR`
`static int` | `STARASSIGN`
`static int` | `STATIC`
`static int` | `STRICTFP`
`static int` | `STRING_LITERAL`
`static int` | `SWITCH`
`static int` | `SYNCHRONIZED`
`static int` | `THROW`
`static int` | `THROWS`
`static int` | `TILDE`
`static java.lang.String[]` | `tokenImage`
`static int` | `TRANSIENT`
`static int` | `TRUE`
`static int` | `TRY`
`static int` | `VOID`
`static int` | `VOLATILE`
`static int` | `WHILE`
`static int` | `XOR`
`static int` | `XORASSIGN`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### NONPRINTABLE

    static final int NONPRINTABLE

See Also:
  Constant Field Values

### SINGLE_LINE_COMMENT

    static final int SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### HASH_BANG_COMMENT

    static final int HASH_BANG_COMMENT

See Also:
  Constant Field Values

### MULTI_LINE_COMMENT

    static final int MULTI_LINE_COMMENT

See Also:
  Constant Field Values

### ABSTRACT

    static final int ABSTRACT

See Also:
  Constant Field Values

### BOOLEAN

    static final int BOOLEAN

See Also:
  Constant Field Values

### BREAK

    static final int BREAK

See Also:
  Constant Field Values

### CLASS

    static final int CLASS

See Also:
  Constant Field Values

### BYTE

    static final int BYTE

See Also:
  Constant Field Values

### CASE

    static final int CASE

See Also:
  Constant Field Values

### CATCH

    static final int CATCH

See Also:
  Constant Field Values

### CHAR

    static final int CHAR

See Also:
  Constant Field Values

### CONST

    static final int CONST

See Also:
  Constant Field Values

### CONTINUE

    static final int CONTINUE

See Also:
  Constant Field Values

### _DEFAULT

    static final int _DEFAULT

See Also:
  Constant Field Values

### DO

    static final int DO

See Also:
  Constant Field Values

### DOUBLE

    static final int DOUBLE

See Also:
  Constant Field Values

### ELSE

    static final int ELSE

See Also:
  Constant Field Values

### ENUM

    static final int ENUM

See Also:
  Constant Field Values

### EXTENDS

    static final int EXTENDS

See Also:
  Constant Field Values

### FALSE

    static final int FALSE

See Also:
  Constant Field Values

### FINAL

    static final int FINAL

See Also:
  Constant Field Values

### FINALLY

    static final int FINALLY

See Also:
  Constant Field Values

### FLOAT

    static final int FLOAT

See Also:
  Constant Field Values

### FOR

    static final int FOR

See Also:
  Constant Field Values

### GOTO

    static final int GOTO

See Also:
  Constant Field Values

### IF

    static final int IF

See Also:
  Constant Field Values

### IMPLEMENTS

    static final int IMPLEMENTS

See Also:
  Constant Field Values

### IMPORT

    static final int IMPORT

See Also:
  Constant Field Values

### INSTANCEOF

    static final int INSTANCEOF

See Also:
  Constant Field Values

### INT

    static final int INT

See Also:
  Constant Field Values

### INTERFACE

    static final int INTERFACE

See Also:
  Constant Field Values

### LONG

    static final int LONG

See Also:
  Constant Field Values

### NATIVE

    static final int NATIVE

See Also:
  Constant Field Values

### NEW

    static final int NEW

See Also:
  Constant Field Values

### NULL

    static final int NULL

See Also:
  Constant Field Values

### PACKAGE

    static final int PACKAGE

See Also:
  Constant Field Values

### PRIVATE

    static final int PRIVATE

See Also:
  Constant Field Values

### PROTECTED

    static final int PROTECTED

See Also:
  Constant Field Values

### PUBLIC

    static final int PUBLIC

See Also:
  Constant Field Values

### RETURN

    static final int RETURN

See Also:
  Constant Field Values

### SHORT

    static final int SHORT

See Also:
  Constant Field Values

### STATIC

    static final int STATIC

See Also:
  Constant Field Values

### STRICTFP

    static final int STRICTFP

See Also:
  Constant Field Values

### SWITCH

    static final int SWITCH

See Also:
  Constant Field Values

### SYNCHRONIZED

    static final int SYNCHRONIZED

See Also:
  Constant Field Values

### TRANSIENT

    static final int TRANSIENT

See Also:
  Constant Field Values

### THROW

    static final int THROW

See Also:
  Constant Field Values

### THROWS

    static final int THROWS

See Also:
  Constant Field Values

### TRUE

    static final int TRUE

See Also:
  Constant Field Values

### TRY

    static final int TRY

See Also:
  Constant Field Values

### VOID

    static final int VOID

See Also:
  Constant Field Values

### VOLATILE

    static final int VOLATILE

See Also:
  Constant Field Values

### WHILE

    static final int WHILE

See Also:
  Constant Field Values

### INTEGER_LITERAL

    static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### DECIMAL_LITERAL

    static final int DECIMAL_LITERAL

See Also:
  Constant Field Values

### HEX_LITERAL

    static final int HEX_LITERAL

See Also:
  Constant Field Values

### OCTAL_LITERAL

    static final int OCTAL_LITERAL

See Also:
  Constant Field Values

### FLOATING_POINT_LITERAL

    static final int FLOATING_POINT_LITERAL

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### CHARACTER_LITERAL

    static final int CHARACTER_LITERAL

See Also:
  Constant Field Values

### STRING_LITERAL

    static final int STRING_LITERAL

See Also:
  Constant Field Values

### FORMAL_COMMENT

    static final int FORMAL_COMMENT

See Also:
  Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

See Also:
  Constant Field Values

### LETTER

    static final int LETTER

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### LPAREN

    static final int LPAREN

See Also:
  Constant Field Values

### RPAREN

    static final int RPAREN

See Also:
  Constant Field Values

### LBRACE

    static final int LBRACE

See Also:
  Constant Field Values

### RBRACE

    static final int RBRACE

See Also:
  Constant Field Values

### LBRACKET

    static final int LBRACKET

See Also:
  Constant Field Values

### RBRACKET

    static final int RBRACKET

See Also:
  Constant Field Values

### SEMICOLON

    static final int SEMICOLON

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### DOT

    static final int DOT

See Also:
  Constant Field Values

### ASSIGN

    static final int ASSIGN

See Also:
  Constant Field Values

### GT

    static final int GT

See Also:
  Constant Field Values

### GTX

    static final int GTX

See Also:
  Constant Field Values

### LT

    static final int LT

See Also:
  Constant Field Values

### LTX

    static final int LTX

See Also:
  Constant Field Values

### BANG

    static final int BANG

See Also:
  Constant Field Values

### TILDE

    static final int TILDE

See Also:
  Constant Field Values

### HOOK

    static final int HOOK

See Also:
  Constant Field Values

### COLON

    static final int COLON

See Also:
  Constant Field Values

### EQ

    static final int EQ

See Also:
  Constant Field Values

### LE

    static final int LE

See Also:
  Constant Field Values

### LEX

    static final int LEX

See Also:
  Constant Field Values

### GE

    static final int GE

See Also:
  Constant Field Values

### GEX

    static final int GEX

See Also:
  Constant Field Values

### NE

    static final int NE

See Also:
  Constant Field Values

### BOOL_OR

    static final int BOOL_OR

See Also:
  Constant Field Values

### BOOL_ORX

    static final int BOOL_ORX

See Also:
  Constant Field Values

### BOOL_AND

    static final int BOOL_AND

See Also:
  Constant Field Values

### BOOL_ANDX

    static final int BOOL_ANDX

See Also:
  Constant Field Values

### INCR

    static final int INCR

See Also:
  Constant Field Values

### DECR

    static final int DECR

See Also:
  Constant Field Values

### PLUS

    static final int PLUS

See Also:
  Constant Field Values

### MINUS

    static final int MINUS

See Also:
  Constant Field Values

### STAR

    static final int STAR

See Also:
  Constant Field Values

### SLASH

    static final int SLASH

See Also:
  Constant Field Values

### BIT_AND

    static final int BIT_AND

See Also:
  Constant Field Values

### BIT_ANDX

    static final int BIT_ANDX

See Also:
  Constant Field Values

### BIT_OR

    static final int BIT_OR

See Also:
  Constant Field Values

### BIT_ORX

    static final int BIT_ORX

See Also:
  Constant Field Values

### XOR

    static final int XOR

See Also:
  Constant Field Values

### MOD

    static final int MOD

See Also:
  Constant Field Values

### LSHIFT

    static final int LSHIFT

See Also:
  Constant Field Values

### LSHIFTX

    static final int LSHIFTX

See Also:
  Constant Field Values

### RSIGNEDSHIFT

    static final int RSIGNEDSHIFT

See Also:
  Constant Field Values

### RSIGNEDSHIFTX

    static final int RSIGNEDSHIFTX

See Also:
  Constant Field Values

### RUNSIGNEDSHIFT

    static final int RUNSIGNEDSHIFT

See Also:
  Constant Field Values

### RUNSIGNEDSHIFTX

    static final int RUNSIGNEDSHIFTX

See Also:
  Constant Field Values

### PLUSASSIGN

    static final int PLUSASSIGN

See Also:
  Constant Field Values

### MINUSASSIGN

    static final int MINUSASSIGN

See Also:
  Constant Field Values

### STARASSIGN

    static final int STARASSIGN

See Also:
  Constant Field Values

### SLASHASSIGN

    static final int SLASHASSIGN

See Also:
  Constant Field Values

### ANDASSIGN

    static final int ANDASSIGN

See Also:
  Constant Field Values

### ANDASSIGNX

    static final int ANDASSIGNX

See Also:
  Constant Field Values

### ORASSIGN

    static final int ORASSIGN

See Also:
  Constant Field Values

### ORASSIGNX

    static final int ORASSIGNX

See Also:
  Constant Field Values

### XORASSIGN

    static final int XORASSIGN

See Also:
  Constant Field Values

### MODASSIGN

    static final int MODASSIGN

See Also:
  Constant Field Values

### LSHIFTASSIGN

    static final int LSHIFTASSIGN

See Also:
  Constant Field Values

### LSHIFTASSIGNX

    static final int LSHIFTASSIGNX

See Also:
  Constant Field Values

### RSIGNEDSHIFTASSIGN

    static final int RSIGNEDSHIFTASSIGN

See Also:
  Constant Field Values

### RSIGNEDSHIFTASSIGNX

    static final int RSIGNEDSHIFTASSIGNX

See Also:
  Constant Field Values

### RUNSIGNEDSHIFTASSIGN

    static final int RUNSIGNEDSHIFTASSIGN

See Also:
  Constant Field Values

### RUNSIGNEDSHIFTASSIGNX

    static final int RUNSIGNEDSHIFTASSIGNX

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD